Vector::BLF::CanMessage2(3)

NAME
Vector::BLF::CanMessage2 - CAN_MESSAGE2.

SYNOPSIS

#include <CanMessage2.h>

Inherits Vector::BLF::ObjectHeader.

  Public Member Functions
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader
ObjectHeader (const ObjectType objectType, const uint16_t objectVersion=0)
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint16_t calculateHeaderSize () const override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & operator= (const ObjectHeaderBase &)=default
ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & operator= (ObjectHeaderBase &&)=default

  Public Attributes
uint16_t channel {}
application channel
uint8_t flags {}
CAN dir & rtr.
uint8_t dlc {}
CAN dlc.
uint32_t id {}
CAN ID.
std::vector< uint8_t > data {}
CAN data.
uint32_t frameLength {}
message length in ns
uint8_t bitCount {}
complete message length in bits
uint8_t reservedCanMessage1 {}
uint16_t reservedCanMessage2 {}
Public Attributes inherited from Vector::BLF::ObjectHeader
uint32_t objectFlags {ObjectFlags::TimeOneNans}
object flags
uint16_t clientIndex {}
client index of send node
uint16_t objectVersion {0}
object specific version
uint64_t objectTimeStamp {}
object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t signature {ObjectSignature}
signature (ObjectSignature)
uint16_t headerSize {}
sizeof object header
uint16_t headerVersion {}
header version (1)
uint32_t objectSize {}
object size
ObjectType objectType {ObjectType::UNKNOWN}
object type

  Additional Inherited Members
Public Types inherited from Vector::BLF::ObjectHeader
enum ObjectFlags : uint32_t { TimeTenMics = 0x00000001, TimeOneNans = 0x00000002 }

Detailed Description

CAN_MESSAGE2. CAN data or CAN remote frame received or transmitted on a CAN channel.

Member Function Documentation

  uint32_t Vector::BLF::CanMessage2::calculateObjectSize () const [override], [virtual]
Calculates the objectSize

Returns
    object size

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::CanMessage2::read (AbstractFile & is) [override], [virtual]
Read the data of this object

Parameters
    is input stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::CanMessage2::write (AbstractFile & os) [override], [virtual]
Write the data of this object

Parameters
    os output stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

Member Data Documentation

  uint8_t Vector::BLF::CanMessage2::bitCount {}

complete message length in bits Total number of bits of the message including EOF and Interframe space [in bits]

  uint16_t Vector::BLF::CanMessage2::channel {}

application channel Channel the frame was sent or received.

  std::vector<uint8_t> Vector::BLF::CanMessage2::data {}

CAN data. CAN data bytes

  uint8_t Vector::BLF::CanMessage2::dlc {}

CAN dlc. Data length code of frame (number of valid data bytes, max. 8)

  uint8_t Vector::BLF::CanMessage2::flags {}

CAN dir & rtr. CAN Message Flags

CAN dir, rtr, wu & nerr encoded into flags:

•   Bit 0: TX

•   Bit 5: NERR

•   Bit 6: WU

•   Bit 7: RTR

  uint32_t Vector::BLF::CanMessage2::frameLength {}

message length in ns Message duration [in ns]. Not including 3 Interframe Space bit times and by Rx-messages also not including 1 End-Of-Frame bit time

  uint32_t Vector::BLF::CanMessage2::id {}

CAN ID. Frame identifier.

  uint8_t Vector::BLF::CanMessage2::reservedCanMessage1 {}
reserved

  uint16_t Vector::BLF::CanMessage2::reservedCanMessage2 {}
reserved

Author

Generated automatically by Doxygen for Vector BLF from the source code.